全部产品
云市场

常见问题

更新时间:2018-11-09 17:35:48

简介

此文档会列出一些常见的集成后的错误情况以及解决办法,如果您在集成Android短视频模块后遇到了问题,可以从此文档中寻找解决办法。

编译时常见问题

在编译运行Demo时,可能会因为Android SDK版本,Android Studio版本,Gradle 版本等一系列原因,导致Demo无法正常运行,在此汇总一些问题的解决方式,如果仍无法正常运行,请详细咨询客服人员。

1.无对应版本的Android SDK

问题描述

没有对应的Android SDK版本,该如何解决?

解决方式

通过Android Studio中的SDK Manager下载对应版本的Android SDK,下表为Demo中的Android SDK环境。

名称 版本
compileSdkVersion 26
buildToolsVersion 26.0.2

2.Gradle 问题

问题描述

gradle版本找不到或者下载失败,该如何解决?

解决方式

可以尝试更换gradle版本,并将使用本地的gradle配置,下图为Demo中gradle的版本。 gradle版本

本地gradle配置步骤

  1. 下载gradle并解压

    您可以通过gradle下载找到对应的版本下载,也可以(建议)使用附件中的gradle包。

  2. 配置本地路径

    1. 打开Android Studio,单击Preferences

    2. 在搜索文本框输入gradle。

    3. Preferences对话框,单击User local gradle distribution配置本地路径

    4. 配置结果如下,单击Apply应用

3.Gradle Plugin问题

问题描述

当前gradle版本太低,该如何解决?

  1. Minimum supported Gradle version is 4.1. Current version is 4.0.1.

解决方式

更换与当前gradle版本匹配的gradle Plugin、gradle和gradle plugin。对应关系参照下表:(表格来源:Google官方文档

对应关系

修改下图红框标记位置即可。gradle_plugin

集成时常见问题

1.Compilation failed to complete

问题描述

编译时出错,错误为“Compilation failed to complete”,错误信息为:错误信息

解决方式

把config.gradle文件里的externalAndroidAppCompatV7改为您自己依赖的版本,示例:

  1. externalAndroidAppCompatV7 = 'com.android.support:appcompat-v7:26.1.0'
  2. ==>
  3. externalAndroidAppCompatV7 = 'com.android.support:appcompat-v7:XXX'